curl --request DELETE \
--url https://api.swarmd.ai/registry/v1/users/subscriptions/delete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sinkAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"authConfig": {
"authType": "NONE",
"oauth2": {
"clientId": "<string>",
"clientSecret": "<string>",
"tokenUrl": "<string>",
"scopes": [
"<string>"
]
},
"apiKey": {
"apiKeyValue": "<string>",
"apiKeyHeader": "<string>"
},
"bearer": {
"token": "<string>"
}
}
}
'Security Requirements
| Auth Types | Entities | Permissions | Required Roles |
|---|---|---|---|
| USER | REGISTRY | DELETE | REGISTRY:DELETE |
curl --request DELETE \
--url https://api.swarmd.ai/registry/v1/users/subscriptions/delete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"sinkAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"authConfig": {
"authType": "NONE",
"oauth2": {
"clientId": "<string>",
"clientSecret": "<string>",
"tokenUrl": "<string>",
"scopes": [
"<string>"
]
},
"apiKey": {
"apiKeyValue": "<string>",
"apiKeyHeader": "<string>"
},
"bearer": {
"token": "<string>"
}
}
}
'